## mx4j.tools.adaptor.interceptor
Class InvocationResult

    java.lang.Object
      mx4j.tools.adaptor.interceptor.InvocationResult

All Implemented Interfaces:
  java.io.Serializable

public class InvocationResult
extends java.lang.Object
implements java.io.Serializable

The invocation result carrier.

It can be useful in client-side interceptors.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`InvocationResult()`

Method Summary
`java.lang.Object` `getResult()`
`void` `setResult(java.lang.Object result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationResult

    public InvocationResult()

Method Detail

### setResult

    public void setResult(java.lang.Object result)

### getResult

    public java.lang.Object getResult()

Copyright © 2001-2003 MX4J Team. All Rights Reserved.